• Welcome to Simple Machines Community Forum. Please login or sign up.
January 21, 2022, 07:10:59 AM

News:

SMF 2.0.19 has been released! Please update. Read more.


MCLegendII.1

Started by Bulakbol, January 28, 2008, 07:44:55 PM

Previous topic - Next topic

Ravac

probably because cyrillic, ok , put (Latinic) anyway  that latter use everybody.

if is not about cyrillic, then I have no answer :S

Patriot89

I fixed it, there was a duplication in the code:
Quote
if (!empty($modSettings['arrange_mclegend']))
         {
            echo '
            <tr>
               <td class="windowbg2" width="100%">
                  <span class="smalltext">';
                  foreach($context['mcl_group'] AS $key => $dummy)
                     for ($i = 0; $i < count($context['mc_legend']); $i++)   
                        if ($context['mc_legend'][$i]['id'] == $context['mcl_group'][$key])
                        {
                           echo '[', $context['mc_legend'][$i]['link'], ']&nbsp;&nbsp;';
                           continue;
                        }
                     echo '
                  </span>
               </td>
            </tr>';
         }
            echo '';

that was duplicated it was repeated twice in the code.

Bulakbol

@ravac
Thanks. I'll try it again later today.

@Patriot89
Cool. Good to know you fixed it. :)
Please do not PM me for support · My Mods and Theme · SMF Coding Guidelines · Modifications Approval Guidelines

kupals

how can i put the legend.... i installed it already...

Patriot89

@kupals
You should just type in the Member ID Numbers in the appropriate field, its located in the Features and Options in the Admin Panel.

kupals

Quote from: Patriot89 on September 29, 2008, 02:10:59 PM
@kupals
You should just type in the Member ID Numbers in the appropriate field, its located in the Features and Options in the Admin Panel.

i already type the member id number there... but i cant see the legend in t he bottom of my forum..

aayushagrawal90

i have installed this mod but it is not working on dilber multicolour theme.

plzz help

bros

Quote from: aayushagrawal90 on September 30, 2008, 01:33:08 PM
i have installed this mod but it is not working on dilber multicolour theme.

plzz help

Modify the files of the theme manuall

Patriot89

Quote
i already type the member id number there... but i cant see the legend in t he bottom of my forum..

That may be because you do not have a member group for that ID number, that can happen when you delete and recreate member groups to your liking. Have you tried "1" which is Administrator? If that does not show up, you will need to supply your BoardIndex.template.php file, also may I have the link to your forum?

Bulakbol

@kupals
Do you still need assistance?
Please do not PM me for support · My Mods and Theme · SMF Coding Guidelines · Modifications Approval Guidelines

kupals

Quote from: JohnyB on October 01, 2008, 07:13:02 PM
@kupals
Do you still need assistance?

i need assistant bro... how will i modify the themes manual??

Bulakbol

Have you installed the mod with no errors?
Please do not PM me for support · My Mods and Theme · SMF Coding Guidelines · Modifications Approval Guidelines

kupals

Quote from: JohnyB on October 01, 2008, 11:17:53 PM
Have you installed the mod with no errors?

yeah i already installed it w/ no errors..... how will i put the legend in the bottom of my forums

Bulakbol

Can you post a link to your forum?
Please do not PM me for support · My Mods and Theme · SMF Coding Guidelines · Modifications Approval Guidelines

XchrisX

Hi, i had this installed before i upgraded to 2.0 beta 4 but when i try to install again now i get this error:

Fatal error: require() [function.require]: Failed opening required '/home/???/public_html/Packages/temp/MCLegendDB2B3.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/???/public_html/Sources/Packages.php on line 899

kupals


Bulakbol

@bro kupals
Ah, techhead11 theme. If you can't edit it yourself for some reason, attach your teachhead11/BoardIndex.template.php and I'll edit it for you. You can try it yourself if you want. Edit your BoardIndex.template.php and find
<td class="windowbg" width="20" valign="middle" align="center">
', $context['show_who'] ? '<a href="' . $scripturl . '?action=who">' : '', '<img src="', $settings['images_url'], '/icons/online.gif" alt="', $txt[158], '" border="0" />', $context['show_who'] ? '</a>' : '', '

replace
<td rowspan="2" class="windowbg" width="20" valign="middle" align="center">
', $context['show_who'] ? '<a href="' . $scripturl . '?action=who">' : '', '<img src="', $settings['images_url'], '/icons/online.gif" alt="', $txt[158], '" border="0" />', $context['show_who'] ? '</a>' : '', '


Find
// If they are logged in, but SP1 style information is off... show a personal message bar.
replace
if (!empty($context['membergroups']))
echo '
            <tr>
               <td colspan="2" class="windowbg2" width="100%">
                  <span class="smalltext">[' . implode(']&nbsp;&nbsp;[', $context['membergroups']) . ']</span>
               </td>
            </tr>';

        // If they are logged in, but SP1 style information is off... show a personal message bar.
Please do not PM me for support · My Mods and Theme · SMF Coding Guidelines · Modifications Approval Guidelines

kupals

@ SIR JohnyB

ok its already solved... hehehh thankz

bros

Quote from: XchrisX on October 02, 2008, 06:12:37 AM
Hi, i had this installed before i upgraded to 2.0 beta 4 but when i try to install again now i get this error:

Fatal error: require() [function.require]: Failed opening required '/home/???/public_html/Packages/temp/MCLegendDB2B3.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/???/public_html/Sources/Packages.php on line 899

Do what I did. Edit that line out via FTP, install, and then edit it back in.

Bulakbol

@XchrisX
Have you tried bros' advice?
Please do not PM me for support · My Mods and Theme · SMF Coding Guidelines · Modifications Approval Guidelines

Advertisement: